from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class AuthInfo(_message.Message):
    __slots__ = ["password"]
    PASSWORD_FIELD_NUMBER: _ClassVar[int]
    password: str
    def __init__(self, password: _Optional[str] = ...) -> None: ...

class CompanyRegistrationNumber(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class CountryCode(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class EmailAddress(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class FileId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class LogEntryId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class PhoneNumber(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class PlaceAddress(_message.Message):
    __slots__ = ["city", "country_code", "postal_code", "state_or_province", "street"]
    CITY_FIELD_NUMBER: _ClassVar[int]
    COUNTRY_CODE_FIELD_NUMBER: _ClassVar[int]
    POSTAL_CODE_FIELD_NUMBER: _ClassVar[int]
    STATE_OR_PROVINCE_FIELD_NUMBER: _ClassVar[int]
    STREET_FIELD_NUMBER: _ClassVar[int]
    city: str
    country_code: CountryCode
    postal_code: PostalCode
    state_or_province: str
    street: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, street: _Optional[_Iterable[str]] = ..., city: _Optional[str] = ..., state_or_province: _Optional[str] = ..., postal_code: _Optional[_Union[PostalCode, _Mapping]] = ..., country_code: _Optional[_Union[CountryCode, _Mapping]] = ...) -> None: ...

class PostalCode(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class StateFlag(_message.Message):
    __slots__ = []
    class Manipulation(_message.Message):
        __slots__ = []
        class Enum(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
            __slots__ = []
        automatic: StateFlag.Manipulation.Enum
        manual: StateFlag.Manipulation.Enum
        def __init__(self) -> None: ...
    class Traits(_message.Message):
        __slots__ = ["how_to_set", "visibility"]
        HOW_TO_SET_FIELD_NUMBER: _ClassVar[int]
        VISIBILITY_FIELD_NUMBER: _ClassVar[int]
        how_to_set: StateFlag.Manipulation.Enum
        visibility: StateFlag.Visibility.Enum
        def __init__(self, how_to_set: _Optional[_Union[StateFlag.Manipulation.Enum, str]] = ..., visibility: _Optional[_Union[StateFlag.Visibility.Enum, str]] = ...) -> None: ...
    class Visibility(_message.Message):
        __slots__ = []
        class Enum(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
            __slots__ = []
        external: StateFlag.Visibility.Enum
        internal: StateFlag.Visibility.Enum
        def __init__(self) -> None: ...
    def __init__(self) -> None: ...

class Url(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Uuid(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class VatIdentificationNumber(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...
