from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ContactHandle(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ContactHistoryId(_message.Message):
    __slots__ = ["uuid"]
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class ContactHistoryInterval(_message.Message):
    __slots__ = ["lower_limit", "upper_limit"]
    class Limit(_message.Message):
        __slots__ = ["contact_history_id", "timestamp"]
        CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        contact_history_id: ContactHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., contact_history_id: _Optional[_Union[ContactHistoryId, _Mapping]] = ...) -> None: ...
    LOWER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    UPPER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    lower_limit: ContactHistoryInterval.Limit
    upper_limit: ContactHistoryInterval.Limit
    def __init__(self, lower_limit: _Optional[_Union[ContactHistoryInterval.Limit, _Mapping]] = ..., upper_limit: _Optional[_Union[ContactHistoryInterval.Limit, _Mapping]] = ...) -> None: ...

class ContactId(_message.Message):
    __slots__ = ["uuid"]
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class ContactRef(_message.Message):
    __slots__ = ["handle", "id", "name", "organization"]
    HANDLE_FIELD_NUMBER: _ClassVar[int]
    ID_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    handle: ContactHandle
    id: ContactId
    name: str
    organization: str
    def __init__(self, id: _Optional[_Union[ContactId, _Mapping]] = ..., handle: _Optional[_Union[ContactHandle, _Mapping]] = ..., name: _Optional[str] = ..., organization: _Optional[str] = ...) -> None: ...
