from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class KeysetHandle(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class KeysetHistoryId(_message.Message):
    __slots__ = ["uuid"]
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class KeysetHistoryInterval(_message.Message):
    __slots__ = ["lower_limit", "upper_limit"]
    class Limit(_message.Message):
        __slots__ = ["keyset_history_id", "timestamp"]
        KEYSET_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        keyset_history_id: KeysetHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., keyset_history_id: _Optional[_Union[KeysetHistoryId, _Mapping]] = ...) -> None: ...
    LOWER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    UPPER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    lower_limit: KeysetHistoryInterval.Limit
    upper_limit: KeysetHistoryInterval.Limit
    def __init__(self, lower_limit: _Optional[_Union[KeysetHistoryInterval.Limit, _Mapping]] = ..., upper_limit: _Optional[_Union[KeysetHistoryInterval.Limit, _Mapping]] = ...) -> None: ...

class KeysetId(_message.Message):
    __slots__ = ["uuid"]
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class KeysetRef(_message.Message):
    __slots__ = ["handle", "id"]
    HANDLE_FIELD_NUMBER: _ClassVar[int]
    ID_FIELD_NUMBER: _ClassVar[int]
    handle: KeysetHandle
    id: KeysetId
    def __init__(self, id: _Optional[_Union[KeysetId, _Mapping]] = ..., handle: _Optional[_Union[KeysetHandle, _Mapping]] = ...) -> None: ...
